javax.media.j3d

## Class IllegalSharingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.j3d.IllegalSceneGraphException
        - - javax.media.j3d.IllegalSharingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MultipleParentException

    public class IllegalSharingException
    extends IllegalSceneGraphException

Indicates an illegal attempt to share a scene graph object. For example, the following are illegal:

- referencing a shared subgraph in more than one virtual universe
- using the same node both in the scene graph and in an immediate mode graphics context
- including any of the following unsupported types of leaf node within a shared subgraph:

- AlternateAppearance
- Background
- Behavior
- BoundingLeaf
- Clip
- Fog
- ModelClip
- Soundscape
- ViewPlatform

- referencing a BranchGroup node in more than one of the following ways:

- attaching it to a (single) Locale
- adding it as a child of a Group Node within the scene graph
- referencing it from a (single) Background Leaf Node as background geometry

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalSharingException()` Create the exception object with default values.
`IllegalSharingException(java.lang.String str)` Create the exception object that outputs message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalSharingException

    public IllegalSharingException()

Create the exception object with default values.

#### IllegalSharingException

    public IllegalSharingException(java.lang.String str)

Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.